<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_add_site" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_addSite - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_addSite(char*);
/*****************************************************************************
  FUNCTION : ann_add_site
*****************************************************************************/ -->
  <refnamediv>
    <refname>ann_add_site</refname>

    <refpurpose>Adds a site at the current unit.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_add_site(network, site_name);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_name</term>

        <listitem>
          <para>Name of the site to add to the current unit (string)</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>If the unit has already sites, this new site will be inserted above
    all other sites, i.e. the new created site will be the first site at this
    unit. If the unit has direct input links, i.e the unit has input links but
    no sites, the creation of sites is not permitted (ann_add_site will return
    an error code). If there exists already a site with the given name, the
    creation of the new site is prohibited and ann_add_site returns an error
    code. ann_add_site has no effect on the current site. To change the
    current site to this new site, call ann_set_first_site(). The unit's FType
    will be deleted.

    The number of sites per unit is nearly unlimited (2^32).

    Returns error if:
        - memory allocation fails or
        - unit has direct input links or
        - site name isn't defined or
        - site with the given name exists already at this unit </para>
  
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
